import { Component, OnInit, Input, ContentChild, TemplateRef, AfterViewInit } from '@angular/core';

@Component({
  selector: 'app-form',
  templateUrl: './app-form.component.html',
  styleUrls: ['./app-form.component.scss'],
})
export class AppFormComponent implements OnInit{

  /**
   * 表单数据对象
   *
   * @type {*}
   * @memberof Form
   */
  @Input() public form: any;

  /**
   * 表单名称
   *
   * @type {string}
   */
  @Input() public name: string;

  /**
   * 内嵌视图
   */
  @ContentChild(TemplateRef)
  template: TemplateRef<any>;


  constructor() { }

  ngOnInit() {
    
  }

  

}
